import request from '../utils/request'

const api = {
  getBookList: '/QXS/GetBookList',
  getBookImg: '/QXS/GetBookImg',
  AdminAccountList: '/Admin/QXS/Account/List',
  AdminAccountDetail: '/Admin/QXS/Account/Detail'
}

export function GetBookList(parameter) {
  return request({
    url: api.getBookList,
    method: 'post',
    data: parameter
  })
}

export function GetBookImg(parameter) {
  return request({
    url: api.getBookImg,
    method: 'get',
    params: parameter
  })
}

export function adminQxsAccountList(parameter) {
  return request({
    url: api.AdminAccountList,
    method: 'get',
    params: parameter
  })
}

export function adminQxsAccountDetail(parameter) {
  return request({
    url: api.AdminAccountDetail,
    method: 'get',
    params: parameter
  })
}
